#
# spec file for package python-zope.deprecation
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zope.deprecation
Version:        4.1.2
Release:        6.3
Url:            http://pypi.python.org/pypi/zope.deprecation
Summary:        Zope Deprecation Infrastructure
License:        ZPL-2.1
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/z/zope.deprecation/zope.deprecation-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-setuptools
# Documentation requirements:
BuildRequires:  python-Sphinx
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
When we started working on Zope 3.1, we noticed that the hardest part of the
development process was to ensure backward-compatibility and correctly mark
deprecated modules, classes, functions, methods and properties. This package
provides a simple function called 'deprecated(names, reason)' to deprecate the
previously mentioned Python objects.

%package doc
Summary:        Zope 3 Deprecation Infrastructure
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n zope.deprecation-%{version}

%build
python setup.py build
python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py -q test

%files
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%python_sitelib/*

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html/

%changelog
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.1.2:
  * Do not require a self parameter for deprecated functions.
    See: https://github.com/zopefoundation/zope.deprecation/pull/1
- additional changes from version 4.1.1:
  * Added explicit support for Python 3.4.
- pass -q to test to avoid spamming the build log
* Fri Feb 28 2014 os-dev@jacraig.com
- Update to 4.1.0:
  * Added a ``Suppressor`` context manager, allowing scoped suppression of
    deprecation warnings.
  * Updated ``boostrap.py`` to version 2.2.
- Update URL (see setup.py).
- Package new CHANGES and README rst files in %%doc.
* Tue Dec 10 2013 p.drouand@gmail.com
- Use download Url as source
* Mon Jul 29 2013 speilicke@suse.com
- Package COPYRIGHT.txt, LICENSE.txt
* Sun Jul 28 2013 hpj@urpla.net
- version 4.0.2: initial build
